Fingerprint_Card

Loading...
Searching...
No Matches
Zwipe.Test.Tools.TestContext Class Referencesealed
Inheritance diagram for Zwipe.Test.Tools.TestContext:
[legend]
Collaboration diagram for Zwipe.Test.Tools.TestContext:
[legend]

## Public Member Functions
void | Dispose ()

## Static Public Member Functions
static TestContext | Create (BuildArtifact artifact, BuildArtifactInfo artifactInfo, string tempFolderPath=null)

## Properties
BuildArtifact | Artifact`[get, private set]`
BuildArtifactInfo | ArtifactInfo`[get, private set]`
string | TemporaryFolderPath`[get, private set]`
string | WorkingFolderPath`[get, private set]`
string | DistributionFolderPath`[get, private set]`
FileSystemEntry[] | Files`[get, private set]`
FileSystemEntry[] | SymbolsFiles`[get, private set]`
FileSystemEntry[] | TestFiles`[get, private set]`
FileSystemEntry[] | AllFiles`[get, private set]`

## Private Member Functions
| TestContext ()

## Constructor & Destructor Documentation

## ◆ TestContext()

Zwipe.Test.Tools.TestContext.TestContext | ( |  | ) |
| private

Here is the caller graph for this function:

## Member Function Documentation

## ◆ Create()

TestContext Zwipe.Test.Tools.TestContext.Create | ( | BuildArtifact | artifact,
|  | BuildArtifactInfo | artifactInfo,
|  | string | tempFolderPath = null )
| static

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ Dispose()

void Zwipe.Test.Tools.TestContext.Dispose | ( |  | ) |

## Property Documentation

## ◆ AllFiles

FileSystemEntry [] Zwipe.Test.Tools.TestContext.AllFiles
| get private set

## ◆ Artifact

BuildArtifact Zwipe.Test.Tools.TestContext.Artifact
| get private set

## ◆ ArtifactInfo

BuildArtifactInfo Zwipe.Test.Tools.TestContext.ArtifactInfo
| get private set

## ◆ DistributionFolderPath

string Zwipe.Test.Tools.TestContext.DistributionFolderPath
| get private set

## ◆ Files

FileSystemEntry [] Zwipe.Test.Tools.TestContext.Files
| get private set

## ◆ SymbolsFiles

FileSystemEntry [] Zwipe.Test.Tools.TestContext.SymbolsFiles
| get private set

## ◆ TemporaryFolderPath

string Zwipe.Test.Tools.TestContext.TemporaryFolderPath
| get private set

## ◆ TestFiles

FileSystemEntry [] Zwipe.Test.Tools.TestContext.TestFiles
| get private set

## ◆ WorkingFolderPath

string Zwipe.Test.Tools.TestContext.WorkingFolderPath
| get private set

The documentation for this class was generated from the following file:

- Zwipe.Test.Tools/TestContext.cs